<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\DB;

class PlanesController extends Controller
{
    public function getServicios()
    {
        return DB::table('TB_tipos_servicio')
        ->where('operador', 'WIN')
        ->where('estado', '1')
        ->get();
    }

    public function getVelocidades($id)
    {
        return DB::table('TB_velocidades')
        ->where('tipo_servicio_id', $id)
        ->where('estado', '1')
        ->select('id', 'velocidad_mbps')
        ->orderby('orden', 'asc')
        ->get();
    }

    public function getOpcionesTV($id)
    {
        return DB::table('TB_opciones_tv')
           // ->where('tipo_servicio_id', $id)
           

            ->select('id', 'nombre')
            ->where('estado', '1')
            ->orderby('orden', 'asc')

            ->get();
    }

    public function getFijo($id)
    {
        $disponible = DB::table('TB_opciones_fijo')
            ->where('tipo_servicio_id', $id)
            ->value('disponible');

        return ['disponible' => (bool)$disponible];
    }
}
